# Method: consents.create

**Full name**: projects.locations.datasets.consentStores.consents.create

Creates a new `https://docs.cloud.google.com/healthcare-api/docs/reference/rest/v1beta1/projects.locations.datasets.consentStores.consents#Consent` in the parent `https://docs.cloud.google.com/healthcare-api/docs/reference/rest/v1beta1/projects.locations.datasets.consentStores#ConsentStore`.

### HTTP request

`POST https://healthcare.googleapis.com/v1beta1/{parent=projects/*/locations/*/datasets/*/consentStores/*}/consents`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Name of the consent store. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `healthcare.consents.create` |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/healthcare-api/docs/reference/rest/v1beta1/projects.locations.datasets.consentStores.consents#Consent`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/healthcare-api/docs/reference/rest/v1beta1/projects.locations.datasets.consentStores.consents#Consent`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-healthcare`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).